View Issue Details

IDProjectCategoryLast Update
0021636AI War 2[All Projects] Gameplay IdeaSep 16, 2019 3:52 pm
ReporterAsteroidAssigned Tox4000Bughunter 
Severityminor 
Status consideringResolutionopen 
Product Version0.888 Astro Examination 
Fixed in Version 
Summary0021636: Force field simplification: remove the shrinking
DescriptionI feel like the bubble forcefield(s) shrinking as it gets shot, while pretty cool from a "realism" point of view and a good visual indicator of how much actual shield is left, detracts from gameplay more than anything else:

- Things at the edge get way less coverage because they lose the shield sooner. It's hard to wrap your head around compared to "everything in this radius will be covered for about X seconds given Y DPS".

- Forces you to cram as many things in the center as possible so they get covered longer, compounding the problem with building forcefields deciding to scram leaving wormholes uncovered: https://bugtracker.arcengames.com/view.php?id=21602

- AI War 2 makes it really, really hard to position things precisely in a location where there is already a pack of units: can't give a move order at a location where there's already a unit, and it's easy to trigger decollision by putting things too close together. But if you want a forcefield frigate to cover, say, your flagship that's about to get crippled, you have to position it very close otherwise the big flagship won't get covered for long because of the shrinking. A fixed radius would be much easier to place.

- TL;DR: a fixed radius is easier to reason about and doesn't require constant placement adjustments.

With this in mind I propose that force fields behave in a more classical way, i.e. fixed radius, and they just "pop" when they've taken enough damage to exhaust the shield. The shield progressively losing power could be represented by having less and less animated hexagons, and becoming more transparent (plus a flicker effect post-1.0). Since AI War shields are a bit peculiar in that they block enemy movement, there should be a sufficient cooldown before the shield comes back, so AI units can actually sneak through your wormholes. The bubble should probably come back whenever the shield has fully recharged.
TagsNo tags attached.

Activities

x4000Bughunter

Sep 13, 2019 9:34 am

administrator   ~0053065

I can't do something like remove hexagons, as those are built into the model. So if these stay a fixed radius, they'll just look like they do until they're gone. I could do something like opacity decreasing, but that would make them really hard to see at all, I suspect.

With that said, I could see the argument for fixed-size forcefields on the player side in particular. Maybe the AI ones should continue to shrink like they do now, but player ones not?

RocketAssistedPuffin

Sep 13, 2019 9:58 am

developer   ~0053067

I get the reasoning, though it feels a small shame to lose it. It's something I've frequently ran into and used, particularly in Classic.

BadgerBadger

Sep 13, 2019 10:09 am

manager   ~0053068

Strong disagree, I really like this mechanic.

x4000Bughunter

Sep 13, 2019 10:15 am

administrator   ~0053069

I was thinking that keeping this in place for the AI, so that it shrinks for them would be a win, and then simplification of it on the player side to not shrink would be good.

BadgerBadger

Sep 13, 2019 10:24 am

manager   ~0053070

I've enjoyed this behaviour through all of classic and aiw2 so far; changing something so dramatic because one person on mantis complained seems like a bad idea to me.

AnnoyingOrange

Sep 13, 2019 10:43 am

reporter   ~0053071

I like the shrinking mechanic, but changing the point at which shrinking starts wouldn't be a big deal IMHO (for example, shields could stay at full size as long as they don't fall below 80% health).
Another option would be to change the shriking formula to scale based on covered area (radius squared) rather than radius, that way a shield losing 30% of its health would cover 30% less area and not 50% less area (which is what happens now, as 0.7 squared is 0.49).
No big deal in any case: in my experience shields either stay at near full health or pop quickly, depending on how good your defense is.

x4000Bughunter

Sep 13, 2019 11:41 am

administrator   ~0053072

The difficulty of positioning ships with precision is something that has come up with some frequency, and the frustration of things shrinking and being uncovered was an ongoing thing that people complained about for years in classic.

I'm not 100% keen to jump on this instantly, but to me this is a continuation of a lot of years of thought, not just one isolated mantis comment. That's where I'm coming from.

For now it sounds like leaving it as-is will be least-annoying to people.

Asteroid

Sep 13, 2019 3:09 pm

reporter   ~0053090

@BadgerBadger "because one person on mantis complained" - kind of dismissive don't you think? Most of the suggestions I'm doing here are not "complaints" for the most part. I'm trying to identify things that don't match the sequel's overall philosophy and could undermine its goals and its ultimate commercial success. I especially try to identify things that are just complexity for complexity's sake and add busywork rather than interesting decisions or tactics.

If you think the shrinking adds something to gameplay, would you mind elaborating instead of just saying "I like it, let's keep it"?

RocketAssistedPuffin

Sep 13, 2019 3:35 pm

developer   ~0053092

Last edited: Sep 13, 2019 3:37 pm

View 2 revisions

Shrinking versus AI Forcefields meant that sometimes it was viable to decide to simply attack the Forcefield non-stop with generalist units, in order to have it shrink and no longer cover the actual important thing you wanted to destroy. If it was closer in to the middle, then you'd be better off with a forcefield bypass unit (Classic only, sadly, so this point does not have much merit here right now unless it returns). There could also be the potential for one to be blocking a wormhole, and you could merely shrink it enough instead of flat out having to destroy it.

Player wise, I have had to decide to move the Forcefield as it shrinks, to protect something in particular that's particularly valuable, if my Command Station was placed next to it. You can also essentially use forcefields as "walls", to block AI units from rushing the Station. I know units slide around them, but you can just sling another one next to it to create a kind of..."valley" for them to slide/fall into. Shrinking means the placement of your Forcefields mattered - you could have a wider wall, but shrinking occurred earlier and it would break. Closer, shorter wall, but it would last longer before opening.

Regarding movement itself, we can always see what wormhole a wave will enter from (Classic required certain tools, and you had to zoom into the wormhole sprite, and then it was also yellow/green which was hard to notice). Being able to move the Forcefields means you can relocate one from...the left wormhole, to the right wormhole for instance, to cover your Tractor Arrays on that side, if you build defenses in that manner. (I do not group Turrets under my Station Forcefield - I build in the Kahuna Style still. Since AI units will shoot the Station if they're in range, I'd rather stop them before they get into range).

I suppose you could also point to the..."excitement" of mobile, shrinking forcefields. Will it get in range of your Home Command in time? Will it take that salvo or will it shrink enough that some of it gets through and you lose? I don't know, I don't have much emotion.

EDIT: This is Classic only as well, but Siege Frigate effects would be impacted by forcefields shrinking as well. So there was something to maybe be said about letting them get a few salvoes off to weaken all the Guards underneath before actually hammering it with general firepower.

x4000Bughunter

Sep 13, 2019 3:59 pm

administrator   ~0053095

I think that the "because one person on mantis complained" might come off as dismissive, but he was talking about it in the context of this being a sequel and the first game having the same mechanics and a few hundred thousand people not really having a problem with this for a decade... mostly. So late toward 1.0, ten years in for the franchise, this would be a radical change to make particularly given the fondness a lot of people probably feel for it.

Working on a brand new game would be one thing, but when there's a game in a series with a history, sometimes "because it's been like that for a long time" is actually a really valid reason. I know I get a lot of flack for certain things that I wanted to change that just made something too different that I wasn't noticing.

Given how rapidly 1.0 is approaching, I think Badger is wise to advise caution in making really large changes unless there's a pretty hefty amount of unhappiness about it or a really super duper clear benefit without a cost. I don't think either of those apply here, at least not yet.

Asteroid

Sep 14, 2019 12:54 am

reporter   ~0053100

Roger @x4000Bughunter. Thanks for exposing your point of view, much appreciated. This was a "in case it's helpful ticket" in any case, not something I feel strongly about. (The forcefields decollisioning away from the wormhole, on the other hand...)

Thanks @RocketAssistedPuffin for your detailed explanation too.

overzot

Sep 14, 2019 10:04 pm

reporter   ~0053106

Regarding how this was fine for classic...

When I played classic, I very rarely had anything besides my command center near the center of the field. I actually purposely used the edge of the shield to try and place a few turrets so that they'd survive the initial shot from the AI, then get retalitaory shots in. This is all a result of the damage debuff turrets got in the classic version. However, AI War 2 has completely changed this strategy, as turrets are both less plentiful (meaning protection for each one is far more critical) AND no longer get a debuff for having protection. Comparing forcefields between the two versions is misleading, because the player incentive is completely mismatched. As a player, I want to maximize my damage from my turrets. If I have gobs of them, then max DPS is worth losing a few in an opening volley. If I only get 10 on a planet, survivability becomes critical.

If the decision is to leave forcefields shrinkable, than I'd recommend instead tweaking the boundary of space a forcefield needs to keep from auto-relocating. They seem to hate sitting in a crowd, requiring about 1.5x the radius of a CC in empty space to allow "staying put". If the zone is going to shrink with damage, pixel perfect positioning seems important.

x4000Bughunter

Sep 16, 2019 12:02 pm

administrator   ~0053131

Thanks!

The positioning thing is one problem, and definitely needs to be fixed. But beyond that, coming next build"

* Brought back an element from the first game, at least for now, in an experimental sort of fashion: anything that is firing out from under a forcefield now does only 50% of the damage it would normally do.
** This makes it advantageous to keep some of your turrets outside of forcefields, or at least to have them COME out from under forcefields as shields shrink. It also keeps forcefields from being such a force-multiplier that it really throws off the strength ratios that ships have.
** We'll see if we keep this; if people hate it, we either won't or we'll make it optional. But this is something that served us well in the first game.

x4000Bughunter

Sep 16, 2019 12:12 pm

administrator   ~0053133

Coming next build:

* Put in a likely fix for forcefields to not get bumped around by other ships that are being built. It was the same fix that we put in for flagships, so presumably this should work.

RocketAssistedPuffin

Sep 16, 2019 12:18 pm

developer   ~0053136

If I recall correctly, when I tested something with this, units appear to run decollision if stuff is a bit near them, not only if they're overlapping.

So I think you can build the Forcefield, and anything around it packed tightly but not touching, but the Forcefield'll move out anyway.

Asteroid

Sep 16, 2019 12:31 pm

reporter   ~0053139

Alright, not the solution I was hoping for, but I defer to your game design instinct.

However, is the 50% damage increase reflected in the tooltip numbers? Or at least some very obvious "YOUR UNIT IS FIRING AT REDUCED STRENGTH" indicator, or some kind of icon? Otherwise it becomes a mechanic with low discoverability, totally the opposite of making a leaner, easier to learn game IMO.

BadgerBadger

Sep 16, 2019 12:37 pm

manager   ~0053140

I think people trying to cram things in under forcefields doesn't lead to good gameplay, so giving things shooting from under a forcefield a nerf sounds like a fine idea.

x4000Bughunter

Sep 16, 2019 1:49 pm

administrator   ~0053146

Yes, the tooltip numbers show the decrease, and there's a warning saying that this is happening. There's not a warning on forcefield generators themselves, but that could be added into their description text (might be a good idea).

overzot

Sep 16, 2019 2:40 pm

reporter   ~0053151

Is the damage nerf only going to apply to the semi-stationary planetary forcefields, or will it apply to all bubble forcefields? I'm specifically thinking about the shield generator frigates in the default fleet. If they're nerfing my combat damage, I'm going to be a lot more hesitant to put them in my attacking fleets.

x4000Bughunter

Sep 16, 2019 3:52 pm

administrator   ~0053153

At present it applies to everything. I think that the consistency is a good thing, for the sake of understanding if nothing else.

In AIWC I think we had two slightly different colors of FFs to differentiate the behaviors. We could do that again if we must, but it's not my favorite thing.

In a lot of ways, having the FF take a bunch of shield damage lets you get off so much "free" damage to the enemy before your main ships take much damage in return that it's very powerful. But of course, having it be a mixture of FF and non-FF units would make me think twice, too. I kind of like that there's more to it than "yes definitely put that in every attacking fleet, it's just a force multiplier."

In this case the FFs are really best to pair with glass cannons, since the damage output of said cannons might overwhelm targets anyway, any the FF protects them from death that otherwise comes quickly. Or really anything that kills the enemies fast enough at half-DPS that it isn't a hindrance, I guess.

Issue History

Date Modified Username Field Change
Sep 13, 2019 1:07 am Asteroid New Issue
Sep 13, 2019 1:54 am Asteroid Description Updated View Revisions
Sep 13, 2019 9:34 am x4000Bughunter Note Added: 0053065
Sep 13, 2019 9:58 am RocketAssistedPuffin Note Added: 0053067
Sep 13, 2019 10:09 am BadgerBadger Note Added: 0053068
Sep 13, 2019 10:15 am x4000Bughunter Note Added: 0053069
Sep 13, 2019 10:24 am BadgerBadger Note Added: 0053070
Sep 13, 2019 10:43 am AnnoyingOrange Note Added: 0053071
Sep 13, 2019 11:41 am x4000Bughunter Note Added: 0053072
Sep 13, 2019 11:41 am x4000Bughunter Assigned To => x4000Bughunter
Sep 13, 2019 11:41 am x4000Bughunter Status new => considering
Sep 13, 2019 3:09 pm Asteroid Note Added: 0053090
Sep 13, 2019 3:35 pm RocketAssistedPuffin Note Added: 0053092
Sep 13, 2019 3:37 pm RocketAssistedPuffin Note Edited: 0053092 View Revisions
Sep 13, 2019 3:59 pm x4000Bughunter Note Added: 0053095
Sep 14, 2019 12:54 am Asteroid Note Added: 0053100
Sep 14, 2019 10:04 pm overzot Note Added: 0053106
Sep 16, 2019 12:02 pm x4000Bughunter Note Added: 0053131
Sep 16, 2019 12:12 pm x4000Bughunter Note Added: 0053133
Sep 16, 2019 12:18 pm RocketAssistedPuffin Note Added: 0053136
Sep 16, 2019 12:31 pm Asteroid Note Added: 0053139
Sep 16, 2019 12:37 pm BadgerBadger Note Added: 0053140
Sep 16, 2019 1:49 pm x4000Bughunter Note Added: 0053146
Sep 16, 2019 2:40 pm overzot Note Added: 0053151
Sep 16, 2019 3:52 pm x4000Bughunter Note Added: 0053153